UHD_RX_NOGUI(1)

NAME
uhd_rx_nogui - GNU Radio receiver

SYNOPSIS
uhd_rx_nogui.py [options]

DESCRIPTION
Command line GNU Radio receiver that takes signal from a UHD peripheral receiver and sends demodulated audio to the sound device.

OPTIONS

-h, --help
    show this help message and exit

-a ARGS, --args=ARGS
    UHD device address args , [default=]

--spec=SPEC
    Subdevice of UHD device where appropriate

-A ANTENNA, --antenna=ANTENNA
    select Rx Antenna where appropriate [default=none]

-f Hz, --frequency=Hz
    set receive frequency to Hz [default=none]

-c Hz, --calibration=Hz
    set frequency offset to Hz [default=0.0]

-g dB, --gain=dB
    set RF gain [default is midpoint]

-m TYPE, --modulation=TYPE
    set modulation type (AM,FM) [default=none]

-o RATE, --output-rate=RATE
    set audio output rate to RATE [default=32000]

-r dB, --rf-squelch=dB
    set RF squelch to dB [default=-50.0]

-p FREQ, --ctcss=FREQ
    set CTCSS squelch to FREQ [default=none]

-O AUDIO_OUTPUT, --audio-output=AUDIO_OUTPUT
    pcm device name. E.g., hw:0,0 or surround51 or /dev/dsp

SEE ALSO
uhd_fft(1) uhd_rx_cfile(1) uhd_siggen(1) uhd_siggen_gui(1)